import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import clsScope from './style.module.less';

export default (props) => {
  const { style, header, footer  } = props;
  
  return (
    <View className={clsScope['v-abc-wrapper']} style={style}>
      {
        header && (
          <View className={clsScope['v-abc-hd']}>
            {header}
          </View>
        )
      }
      <View className={clsScope['v-abc-bd']}>
        {props.children}
      </View>
      {
        footer && (
          <View className={clsScope['v-abc-ft']}>
            {footer}
          </View>
        )
      }
    </View>
  )
}
