import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Tab, Tabs } from '@antmjs/vantui';
import Page from '@/layouts/index';
import PowerList from '@/components/PowerList';
import Card from '@/components/IssueCard';
import { getTaOrgIssue } from '@/services/taorgissue';
import { ROLE_MANAGER } from '@/utils/user';
import { useModel } from '@/store';
import { getIssueStatus } from '@/utils/biz';

export default (props) => {

  const router = Taro.useRouter();
  const { title, bizStatus, color } = router.params;

  React.useMemo(() => {
    if (title) {
      Taro.setNavigationBarTitle({ title });
    } else {
      Taro.setNavigationBarTitle({ title: '问题列表' });
    }
  }, [title]);

  // const { user } = useModel('user');

  const onClick = (item) => {
    Taro.navigateTo({
      url: `/pages/org/issue/detail/index?id=${item.issueId}`
    })
  }

  return (
    <Page>
      <Tabs sticky>
        <Tab title="督查员">
          <PowerList
            request={getTaOrgIssue}
            params={{ bizStatus, sourceType: 'inspector' }}
            renderItem={(item) => (
              <Card key={item.issueId} issue={item} stText={title} color={color} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="市民">
          <PowerList
            request={getTaOrgIssue}
            params={{ bizStatus, sourceType: 'feedback' }}
            renderItem={(item) => (
              <Card key={item.issueId} issue={item} stText={title} color={color} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
      </Tabs>
    </Page>
  )
}
